你的位置:首页 > ASP.net教程

[ASP.net教程][Asp.net 开发系列之SignalR篇]专题五:SignalR支持的平台

  SignalR支持多种服务器和客户端配置。此外,每种传输方式都有自身的要求限制;如果某种传输方式不被系统支持,SignalR能够优雅地将故障转移到其他类型的传输方式。关于SignalR所支持的传输方式的详细信息,参见: Transports and Fallbacks。

系统要求

SignalR服务器组件可以被多种服务器配置所支持。本节介绍所支持的操作系统,.Net框架,IIS及其他组件。

支持的服务器操作系统

SignalR的服务器组件被以下服务器和客户端操作系统支持。

  • Windows Server 2012
  • Windows Server 2008 R2
  • Windows 8
  • Windows 7
  • Windows Azure

请注意,如果你想让SignalR使用的WebCosket,则需要Windows Server 2012或Windows 8 操作系统(WebSocket也可以被Windows Azure网站支持,前提是网站的.Net框架版本为4.5,并且在配置页中已经启用了WebSockets)

支持的服务器.Net框架版本

SignalR 2.0仅支持.Net 框架4.5,检查Recommended Updates以提高可靠性、兼容性、稳定性及性能。

支持的服务器IIS版本

SignalR被以下版本的IIS支持。

  • IIS 8 或 IIS 8 Express。
  • IIS 7 和 IIS 7.5,需要extensionless URLs支持。
  • IIS必须在集成模式下运行,不支持经典模式。当IIS运行在经典模式时,使用服务器发送事件可能带来30秒的消息延迟。
  • 托管应用程序必须运行在信任模式下。

请注意,如果使用客户端操作系统,比如用于开发(Windows 7 或 8),则不应使用IIS或Cassini的完整版本。因为客户端有10个并发连接的限制,要达到这一限制非常容易,因为连接是非常短暂的而且经常重新建立。并且在连接使用过后并不会立即销毁。你应当使用IIS Express。

还需要注意如果你想要SignalR使用WebSocket,则必须使用IIS 8 或IIS 8 Express,服务器必须使用Windows 8 , Windows Server 2012并且IIS必须启用了WebSocket,关于在IIS中启用WebSocket,请参阅IIS 8.0 WebSocket Protocol Support。

客户端系统需求

SignalR可以用于各种客户端平台。本节介绍SignalR在Web浏览器、Windows桌面应用程序,Silverlight应用程序和移动设备中的系统要求。

Web浏览器

SignalR可以在各种Web浏览器中使用,但通常情况下,只有支持最新的两个版本。

应用程序在浏览器中使用SignalR必须使用jQuery版本1.6.4,或主要版本(如1.7.2,1.8.2,1.9.1等)。

SignalR在以下浏览器中可用:

  • IE8 , 9 , 10 , 11 桌面及移动,Win8的Modern,版本都支持。
  • 火狐:当前版本-1,Win及Mac版本。
  • Chrome:当前版本-1,Win及Mac版本。
  • Safari:当前版本-1,Mac及iOS版本。
  • Opera:当前版本-1,仅限Win版本。
  • 安卓浏览器。

除了浏览器要求,SignalR所使用的传输方式也有各自的要求,如下表:

传输方式IEChrome(Win或iOS)FFSafari(OSX或iOS)安卓
WebSockets10+当前-1当前-1当前-1不支持
Server-Sent Events不支持当前-1当前-1当前-1不支持
ForeverFrame8+不支持不支持不支持4.1
Long Polling8+当前-1当前-1当前-14.1

不支持的浏览器

虽然在旧版本的浏览器中运行SignalR中可能不会有重大问题,但我们不会主动去测试SignalR在旧浏览器中的运行情况,也不会解决同旧浏览器的兼容问题。

请参考配置及测试列表: our testing matrix。

Windows桌面和Sliverlight应用程序

除了在网络浏览器上运行,SignalR也可以被配置使用在独立的Windows客户端或Silverlight应用程序中。要使用SignalR,Windows桌面和Silverlight应满足以下系统需求:

  • 在Win XP SP3及以上,应用程序使用.Net 框架版本4。
  • 在Windows Vista及以上,应用程序使用.Net 框架版本4.5。

除了操作系统及框架版本需求,SignalR对于传输方式也有各自的要求,如下表:

传输方式.Net应用程序Silverlight
WebSocketsWin 8及.Net 4.5以上不支持
ForeverFrame不支持不支持
Server-Sent Events.Net 4以上5以上
Long Polling.Net 4以上5以上

Windows存储和Windows Phone应用程序

SignalR可以用在Windows存储和Windows Phone应用程序中,对于传输方式也有各自的要求,如下表:

传输方式Windows存储/.NetWindows存储/JSWindows Phone/IEWindows不支持 Phone/.Net
WebSockets不支持Win8以上8以上不支持
ForeverFrame不支持Win8以上7.5以上不支持
Server-Sent EventsWin8以上不支持不支持8以上
Long PollingWin8以上Win8以上7.5以上8以上

推荐更新

推荐以下SignalR服务器更新:

  • .Net框架4.5的更新程序,在这里。
  • 微软会定期发布ASP.NET的快速更新补丁,应当及时安装它们。

  原文地址:http://www.cnblogs.com/Bce-/p/3579774.html